summaryrefslogtreecommitdiff
path: root/dev-python/pypax
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pypax
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pypax')
-rw-r--r--dev-python/pypax/Manifest1
-rw-r--r--dev-python/pypax/metadata.xml21
-rw-r--r--dev-python/pypax/pypax-0.9.5.ebuild49
-rw-r--r--dev-python/pypax/pypax-9999.ebuild49
4 files changed, 120 insertions, 0 deletions
diff --git a/dev-python/pypax/Manifest b/dev-python/pypax/Manifest
new file mode 100644
index 000000000000..2d3883f50ac2
--- /dev/null
+++ b/dev-python/pypax/Manifest
@@ -0,0 +1 @@
+DIST elfix-0.9.5.tar.gz 401722 BLAKE2B 184f8944c62412675819ca86f13bcf23039ebcf069df528267f3e4272859e6cc442a1e05a7a121d88987c282d7e2f513d02f28ce41a8e3c0c226b456fa256aa6 SHA512 e15ab664357796f3a63ac54912eb43ae659947088a10ef16aafcbdd713cc3670fb0319cb2b95a2d29092866d322ef69df1d63847dfc0c4ab2cdd49e6eaa4635e
diff --git a/dev-python/pypax/metadata.xml b/dev-python/pypax/metadata.xml
new file mode 100644
index 000000000000..d93730d79f75
--- /dev/null
+++ b/dev-python/pypax/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>blueness@gentoo.org</email>
+ <name>Anthony G. Basile</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>hardened@gentoo.org</email>
+ <name>Gentoo Hardened</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <use>
+ <flag name="xtpax">Enable XATTR_PAX_FLAGS support.</flag>
+ <flag name="ptpax">Enable PT_PAX_FLAGS support.</flag>
+ </use>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pypax/pypax-0.9.5.ebuild b/dev-python/pypax/pypax-0.9.5.ebuild
new file mode 100644
index 000000000000..b005f93fdc7c
--- /dev/null
+++ b/dev-python/pypax/pypax-0.9.5.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 sparc x86"
+ S="${WORKDIR}/elfix-${PV}"
+fi
+
+DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
+HOMEPAGE="https://dev.gentoo.org/~blueness/elfix/
+ https://www.gentoo.org/proj/en/hardened/pax-quickstart.xml"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+ptpax +xtpax"
+
+REQUIRED_USE="|| ( ptpax xtpax )"
+
+RDEPEND="
+ ptpax? ( dev-libs/elfutils )
+ xtpax? ( sys-apps/attr )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${RDEPEND}"
+
+src_compile() {
+ cd scripts || die
+ unset PTPAX
+ unset XTPAX
+ use ptpax && export PTPAX="yes"
+ use xtpax && export XTPAX="yes"
+ distutils-r1_src_compile
+}
+
+src_install() {
+ cd scripts || die
+ distutils-r1_src_install
+}
diff --git a/dev-python/pypax/pypax-9999.ebuild b/dev-python/pypax/pypax-9999.ebuild
new file mode 100644
index 000000000000..16ff1966bb47
--- /dev/null
+++ b/dev-python/pypax/pypax-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit distutils-r1
+
+if [[ ${PV} == *9999* ]] ; then
+ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/elfix.git"
+ inherit git-r3
+else
+ SRC_URI="https://dev.gentoo.org/~blueness/elfix/elfix-${PV}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+ S="${WORKDIR}/elfix-${PV}"
+fi
+
+DESCRIPTION="Python module to get or set either PT_PAX and/or XATTR_PAX flags"
+HOMEPAGE="https://dev.gentoo.org/~blueness/elfix/
+ https://www.gentoo.org/proj/en/hardened/pax-quickstart.xml"
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="+ptpax +xtpax"
+
+REQUIRED_USE="|| ( ptpax xtpax )"
+
+RDEPEND="
+ ptpax? ( dev-libs/elfutils )
+ xtpax? ( sys-apps/attr )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${RDEPEND}"
+
+src_compile() {
+ cd scripts || die
+ unset PTPAX
+ unset XTPAX
+ use ptpax && export PTPAX="yes"
+ use xtpax && export XTPAX="yes"
+ distutils-r1_src_compile
+}
+
+src_install() {
+ cd scripts || die
+ distutils-r1_src_install
+}